<%@ Page Language="vb" AutoEventWireup="false" Codebehind="DataGridExample.aspx.vb" Inherits="VSM072004.DataGridExample"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>DataGridExample</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<P>
				<asp:label id="Label1" runat="server" Font-Bold="True" Font-Size="Large">DataGrid Example</asp:label></P>
			<P>
				<asp:DataGrid id="pubsDataGrid" runat="server" PageSize=5 AllowPaging="True" AllowSorting="true" AutoGenerateColumns="false">
					<Columns>
						<asp:BoundColumn DataField="au_lname" SortExpression="au_lname" HeaderText="Last Name"></asp:BoundColumn>
						<asp:BoundColumn DataField="au_fname" SortExpression="au_fname" HeaderText="First Name"></asp:BoundColumn>
						<asp:TemplateColumn HeaderText="Address">
							<ItemTemplate>
								<asp:Label text='<%# Container.DataItem("address")%>' runat="server">
								</asp:Label>
							</ItemTemplate>
							<EditItemTemplate>
								<asp:TextBox ID=txtAddress text='<%# Container.DataItem("address")%>' size="40" runat="server">
								</asp:TextBox>
							</EditItemTemplate>
						</asp:TemplateColumn>
						<asp:BoundColumn DataField="city" SortExpression="city" HeaderText="City"></asp:BoundColumn>
						<asp:BoundColumn DataField="state" SortExpression="state" HeaderText="State"></asp:BoundColumn>
						<asp:BoundColumn DataField="zip" SortExpression="zip" HeaderText="Zip"></asp:BoundColumn>
						<asp:EditCommandColumn EditText="Edit" CancelText="Cancel" UpdateText="Update"></asp:EditCommandColumn>
						<asp:ButtonColumn Text="<img border=0 src=images\del.gif height=16 width=16 alt=Delete>" CommandName="Delete">
							<ItemStyle Width="1%"></ItemStyle>
						</asp:ButtonColumn>
					</Columns>
					<ItemStyle Font-Size="X-Small"></ItemStyle>
					<AlternatingItemStyle BackColor="PaleGoldenrod"></AlternatingItemStyle>
					<HeaderStyle Font-Size="X-Small" Font-Bold="True" BackColor="Tan"></HeaderStyle>
					<FooterStyle Font-Size="X-Small" Font-Bold="True" BackColor="Tan"></FooterStyle>
					<PagerStyle Font-Size="X-Small" Font-Bold="True" NextPageText="Next" PrevPageText="Prev" BackColor="Tan"></PagerStyle>
				</asp:DataGrid>
			</P>
		</form>
	</body>
</HTML>
